HEADM adc 2 2 ognl-out ognr-out "Midi D_Shifter4v" Empty 5 mainmenu-obj dshiftmenu-obj mixmenu-obj tonemenu-obj info-obj ;=25,0,100,0
MIXER "in trim" 2 adc-in1 adc-in2 intrim-out intrim-out ;=100,0,100,0
TEXTBLOCK info 12 "Midi controllable 4v diatonic shifter." "This preset can store 30 tweaks. All" "params marked with a * are remembered" "by each tweak, which can be remotely" "recalled with a midi cc message and the" "tweak# knob." "Set your midi controller to send the" "same midi cc#, with values 1 to 30 to" "recall tweaks 1>30." "Tone affects dry and pitch shifted" signals. "Summed in, stereo out. " ;=125,1750,100,0
MENUPAGE mainmenu "master params" main 9 tweak-obj dummy-obj dummy-obj dummy-obj dry-obj intrim-obj kogn-obj dummy-obj "ext tweak-obj" ;=150,850,100,0
MULTIKNOB intrim "in trim : %3.0f dB*" 1 -20 0 1 0 31 M_tweaks-out 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 ;=100,150,100,0
TEXTLINE dummy "" ;=125,1850,100,0
EXTCONTROL "ext tweak" "ext tweak" -1536 0 0 0 ;=125,1625,100,0
C_MULTIPLY "cc multiply" "ext tweak-out" 128 ;=125,1525,100,0
SKNOB3 tweak " <<<<tweak # %2.0f>>>>" sknob 0 1 1 tweak-out 1 30 "cc multiply-out" ;=125,1400,100,0
C_TABLE M_tweaks 31 tweak-out 1 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 ;=300,1400,100,0
MIDICLOCK midiclock 0.5 2 0 0 1 3 ;=150,450,100,0
MENUPAGE dshiftmenu "diatonic shifter" shifter 31 p1-obj p2-obj p3-obj p4-obj lptcmon-obj rptcmon-obj rptcmon1-obj rptcmon2-obj ksht_dly1-obj ksht_dly2-obj ksht_dlyr3-obj ksht_dlyr4-obj shtdlymonl-obj shtdlymonr-obj shtdlymonr1-obj shtdlymonr2-obj kshdly1-obj kshdly2-obj kshdlyr3-obj kshdlyr4-obj dummy-obj dummy-obj dummy-obj tweak-obj kkey-obj kscale-obj dummy-obj tweak-obj keymon-obj scalemon-obj calmenu-obj ;=2925,1075,100,0
MENUPAGE calmenu calibration cal 8 kminp-obj ktune-obj kxfade-obj kquant-obj kglid-obj dummy-obj dummy-obj tweak-obj ;=2250,1300,100,0
PERCENTKNOB kquant "quant  :  %4.0f %%" "" -200 200 1 0 ;=2225,700,100,0
KNOB ktune "tune   : %5.0f cnts" "" -1200 1200 1 0 ;=2225,800,100,0
KNOB kglid "glide: %7.3f sec" glide 0 100 0.001 0.05 ;=2225,900,100,0
KNOB kxfade "xfade  :   %3.0f ms" "" 0 100 1 10 ;=2225,1000,100,0
TEXTKNOB kminp "lownote:   %s" "" 37 26 " C0" C#0 " D0" D#0 " E0" " F0" F#0 " G0" G#0 " A0" A#0 " B0" " C1" C#1 " D1" D#1 " E1" " F1" F#1 " G1" G#1 " A1" A#1 " B1" " C2" C#2 " D2" D#2 " E2" " F2" F#2 " G2" G#2 " A2" A#2 " B2" " C3" ;=2225,1100,100,0
MULTIKNOB p1 "pitch1 set:  %2.0f >>*" 1 1 29 1 0 31 M_tweaks-out 1 17 19 12 16 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 ;=1525,100,100,0
MULTIKNOB p2 "pitch2 set:  %2.0f >>*" 1 1 29 1 0 31 M_tweaks-out 1 19 12 14 17 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 ;=1525,325,100,0
MULTIKNOB p3 "pitch3 set:  %2.0f >>*" 1 1 29 1 0 31 M_tweaks-out 1 21 8 17 18 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 ;=1525,575,100,0
MULTIKNOB p4 "pitch4 set:  %2.0f >>*" 1 1 29 1 0 31 M_tweaks-out 1 23 16 19 19 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 ;=1525,800,100,0
C_SUBTRACT int1 p1-out 15 ;=1650,100,100,0
C_SUBTRACT int2 p2-out 15 ;=1650,325,100,0
C_SUBTRACT int3 p3-out 15 ;=1650,575,100,0
C_SUBTRACT int4 p4-out 15 ;=1650,800,100,0
TMONITOR lptcmon p1-out "plays a: %s" tmonitor 30 dummy "-2 oct" -14th -13th -12th -11th -10th -9th -1oct -7th -6th -5th -4th -3rd -2nd unison +2nd +3rd +4th +5th +6th +7th +1oct +9th +10th +11th +12th +13th +14th +2oct ;=1650,200,100,0
TMONITOR rptcmon p2-out "plays a: %s" tmonitor 30 dummy "-2 oct" -14th -13th -12th -11th -10th -9th -1oct -7th -6th -5th -4th -3rd -2nd unison +2nd +3rd +4th +5th +6th +7th +1oct +9th +10th +11th +12th +13th +14th +2oct ;=1650,425,100,0
TMONITOR rptcmon1 p3-out "plays a: %s" tmonitor 30 dummy "-2 oct" -14th -13th -12th -11th -10th -9th -1oct -7th -6th -5th -4th -3rd -2nd unison +2nd +3rd +4th +5th +6th +7th +1oct +9th +10th +11th +12th +13th +14th +2oct ;=1650,675,100,0
TMONITOR rptcmon2 p4-out "plays a: %s" tmonitor 30 dummy "-2 oct" -14th -13th -12th -11th -10th -9th -1oct -7th -6th -5th -4th -3rd -2nd unison +2nd +3rd +4th +5th +6th +7th +1oct +9th +10th +11th +12th +13th +14th +2oct ;=1650,900,100,0
MULTIKNOB kscale "scale set  : %2.0f >>>*" 1 1 18 1 0 11 M_tweaks-out 1 8 8 8 8 8 8 8 8 8 8 ;=1375,1500,100,0
C_SUBTRACT c_subtract kscale-out 1 ;=1500,1500,100,0
TMONITOR scalemon c_subtract-out %s tmonitor 18 "ionian (maj)" dorian phrygian lydian mixolydian "aeolean (min)" locrian major minor "harmonic min" "melodic min" chromatic "whole tone" "penta maj" "penta min" enigmatic neapolitan hungarian ;=1625,1500,100,0
MULTIKNOB kkey "key   set  : %2.0f >>>*" 1 1 12 1 0 11 M_tweaks-out 1 1 1 1 1 1 1 1 1 1 1 ;=1375,1400,100,0
C_SUBTRACT c_subtract1 kkey-out 1 ;=1500,1400,100,0
TMONITOR keymon c_subtract1-out %s tmonitor 12 C C# D D# E F F# G G# A A# B ;=1625,1400,100,0
MULTIKNOB ksht_dly1 "t_dly1 set: %2.0f >>>*" 1 1 29 1 0 31 M_tweaks-out 1 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 ;=650,450,100,0
MULTIKNOB ksht_dly2 "t_dly2 set: %2.0f >>>*" 1 1 29 1 0 31 M_tweaks-out 1 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 ;=650,675,100,0
MULTIKNOB ksht_dlyr3 "t_dly3 set: %2.0f >>>*" 1 1 29 1 0 31 M_tweaks-out 1 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 ;=650,900,100,0
MULTIKNOB ksht_dlyr4 "t_dly4 set: %2.0f >>>*" 1 1 29 1 0 31 M_tweaks-out 1 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 28 ;=650,1125,100,0
TMONITOR shtdlymonl ksht_dly1-out "plays a: %s" tmonitor 30 dummy "whole note" "15/16 note" "14/16 note" "13/16 note" "  dot 1/2" "11/16 note" "whole trip" "10/16 note" " 9/16 note" "  1/2 note" " 7/16 note" "  dot 1/4" "  1/2 trip" " 5/16 note" "  1/4 note" "  dot 1/8" "  1/4 trip" "  1/8 note" "  dot 1/16" "  1/8 trip" " 1/16 note" "  dot 1/32" " 1/16 trip" " 1/32 note" "  dot 1/64" " 1/32 trip" " 1/64 note" "short dly" "  off" ;=800,550,100,0
TMONITOR shtdlymonr ksht_dly2-out "plays a: %s" tmonitor 30 dummy "whole note" "15/16 note" "14/16 note" "13/16 note" "  dot 1/2" "11/16 note" "whole trip" "10/16 note" " 9/16 note" "  1/2 note" " 7/16 note" "  dot 1/4" "  1/2 trip" " 5/16 note" "  1/4 note" "  dot 1/8" "  1/4 trip" "  1/8 note" "  dot 1/16" "  1/8 trip" " 1/16 note" "  dot 1/32" " 1/16 trip" " 1/32 note" "  dot 1/64" " 1/32 trip" " 1/64 note" "short dly" "  off" ;=800,775,100,0
TMONITOR shtdlymonr1 ksht_dlyr3-out "plays a: %s" tmonitor 30 dummy "whole note" "15/16 note" "14/16 note" "13/16 note" "  dot 1/2" "11/16 note" "whole trip" "10/16 note" " 9/16 note" "  1/2 note" " 7/16 note" "  dot 1/4" "  1/2 trip" " 5/16 note" "  1/4 note" "  dot 1/8" "  1/4 trip" "  1/8 note" "  dot 1/16" "  1/8 trip" " 1/16 note" "  dot 1/32" " 1/16 trip" " 1/32 note" "  dot 1/64" " 1/32 trip" " 1/64 note" "short dly" "  off" ;=800,1000,100,0
TMONITOR shtdlymonr2 ksht_dlyr4-out "plays a: %s" tmonitor 30 dummy "whole note" "15/16 note" "14/16 note" "13/16 note" "  dot 1/2" "11/16 note" "whole trip" "10/16 note" " 9/16 note" "  1/2 note" " 7/16 note" "  dot 1/4" "  1/2 trip" " 5/16 note" "  1/4 note" "  dot 1/8" "  1/4 trip" "  1/8 note" "  dot 1/16" "  1/8 trip" " 1/16 note" "  dot 1/32" " 1/16 trip" " 1/32 note" "  dot 1/64" " 1/32 trip" " 1/64 note" "short dly" "  off" ;=800,1250,100,0
C_TABLE kshdltabl 30 ksht_dly1-out 0 4000 3750 3500 3250 3000 2750 2666.6999 2500 2250 2000 1750 1500 1333.3 1250 1000 750 666.7 500 375 333.3 250 187.5 166.6 125 93.7 83.3 62.5 7.81 0 ;=800,450,100,0
C_TABLE kshdltabr 30 ksht_dly2-out 0 4000 3750 3500 3250 3000 2750 2666.6999 2500 2250 2000 1750 1500 1333.3 1250 1000 750 666.7 500 375 333.3 250 187.5 166.6 125 93.7 83.3 62.5 7.81 0 ;=800,675,100,0
C_TABLE kshdltabr1 30 ksht_dlyr3-out 0 4000 3750 3500 3250 3000 2750 2666.6999 2500 2250 2000 1750 1500 1333.3 1250 1000 750 666.7 500 375 333.3 250 187.5 166.6 125 93.7 83.3 62.5 7.81 0 ;=800,900,100,0
C_TABLE kshdltabr2 30 ksht_dlyr4-out 0 4000 3750 3500 3250 3000 2750 2666.6999 2500 2250 2000 1750 1500 1333.3 1250 1000 750 666.7 500 375 333.3 250 187.5 166.6 125 93.7 83.3 62.5 7.81 0 ;=800,1125,100,0
C_MULTIPLY kshdlmultl kshdltabl-out midiclock-time_out ;=975,450,100,0
C_MULTIPLY kshdlmultr kshdltabr-out midiclock-time_out ;=975,675,100,0
C_MULTIPLY kshdlmultr1 kshdltabr1-out midiclock-time_out ;=975,900,100,0
C_MULTIPLY kshdlmultr2 kshdltabr2-out midiclock-time_out ;=950,1125,100,0
SKNOB3 kshdly1 "delay1: %4.0f ms" sknob 0 1 3.905 kshdly1-out 0 2000 kshdlmultl-out ;=1125,450,100,0
SKNOB3 kshdly2 "delay2: %4.0f ms" sknob 0 1 3.905 kshdly2-out 0 2000 kshdlmultr-out ;=1125,675,100,0
SKNOB3 kshdlyr3 "delay3: %4.0f ms" sknob 0 1 3.905 kshdlyr3-out 0 2000 kshdlmultr1-out ;=1125,900,100,0
SKNOB3 kshdlyr4 "delay4: %4.0f ms" sknob 0 1 3.905 kshdlyr4-out 0 2000 kshdlmultr2-out ;=1125,1125,100,0
DIATONICSHIFT diatonicshift 4 "in trim-out" c_subtract-out c_subtract1-out kquant-out kglid-out ktune-out kminp-out -45 kxfade-out adc-null adc-null adc-null adc-null int1-out int2-out int3-out int4-out 0 0 0 0 kshdly1-out kshdly2-out kshdlyr3-out kshdlyr4-out ;=2350,0,100,0
MENUPAGE mixmenu "mix params" mix 13 lev1-obj lev2-obj lev3-obj lev4-obj dry-obj dummy-obj dummy-obj tweak-obj pan1-obj pan2-obj pan3-obj pan4-obj drypan-obj ;=3800,1000,100,0
MULTIKNOB lev1 "level1: %3.0f %% *" 1 0 100 1 0 31 M_tweaks-out 0 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 ;=3300,500,100,0
MULTIKNOB lev2 "level2: %3.0f %% *" 1 0 100 1 0 31 M_tweaks-out 0 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 ;=3300,625,100,0
MULTIKNOB lev3 "level3: %3.0f %% *" 1 0 100 1 0 31 M_tweaks-out 0 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 ;=3300,750,100,0
MULTIKNOB lev4 "level4: %3.0f %% *" 1 0 100 1 0 31 M_tweaks-out 0 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 70 ;=3300,875,100,0
C_MULTIPLY c_multiply lev1-out 0.01 ;=3450,500,100,0
C_MULTIPLY c_multiply1 lev2-out 0.01 ;=3450,625,100,0
C_MULTIPLY c_multiply2 lev3-out 0.01 ;=3450,750,100,0
C_MULTIPLY c_multiply3 lev4-out 0.01 ;=3450,875,100,0
SCALE shlvl diatonicshift-out1 c_multiply-out ;=3450,0,100,0
SCALE shlvr diatonicshift-out2 c_multiply1-out ;=3450,100,100,0
SCALE shlvr1 diatonicshift-out3 c_multiply2-out ;=3450,225,100,0
SCALE shlvr2 diatonicshift-out4 c_multiply3-out ;=3450,350,100,0
KNOB dry "dry lev :%4.0f dB" knob -100 0 1 0 ;=3675,425,100,0
PERCENTKNOB pan1 "pan 1: %4.0f %%" percent -100 100 1 -85 ;=3800,425,100,0
PERCENTKNOB pan2 "pan 2: %4.0f %%" percent -100 100 1 -45 ;=3800,525,100,0
PERCENTKNOB pan3 "pan 3: %4.0f %%" percent -100 100 1 45 ;=3800,625,100,0
PERCENTKNOB pan4 "pan 4: %4.0f %%" percent -100 100 1 85 ;=3800,725,100,0
PERCENTKNOB drypan "dry pan: %4.0f %%" percent -100 100 1 0 ;=3800,825,100,0
STEREOMIXER stereomixer 5 shlvl-out shlvr-out shlvr1-out shlvr2-out "in trim-out" 0 0 0 0 dry-out pan1-out pan2-out pan3-out pan4-out drypan-out ;=3800,0,100,0
MENUPAGE tonemenu "tone params" tone 8 lowfrq-obj hifrq-obj lowlev-obj hilev-obj dummy-obj dummy-obj dummy-obj tweak-obj ;=4500,550,100,0
MULTIKNOB lowfrq "low freq :   %3.0f Hz*" 1 20 300 1 0 31 tweak-out 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 ;=4150,425,100,0
MULTIKNOB hifrq "hi  freq : %5.0f Hz*" 1 300 20000 1 0 31 tweak-out 4000 4000 4000 4000 4000 4000 4000 4000 4000 4000 4000 4000 4000 4000 4000 4000 4000 4000 4000 4000 4000 4000 4000 4000 4000 4000 4000 4000 4000 4000 4000 ;=4150,525,100,0
MULTIKNOB lowlev "low level: %5.1f dB*" 1 -18 18 0.1 0 31 tweak-out 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 ;=4150,650,100,0
MULTIKNOB hilev "hi  level: %5.1f dB*" 1 -18 18 0.1 0 31 tweak-out 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 ;=4150,750,100,0
TONE tone stereomixer-left lowfrq-out lowlev-out hifrq-out hilev-out ;=4150,0,100,0
TONE tone1 stereomixer-right lowfrq-out lowlev-out hifrq-out hilev-out ;=4150,150,100,0
MULTIKNOB kogn "out gain: %3.0f dB*" 1 -20 12 1 0 31 M_tweaks-out 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 ;=4575,275,100,0
GAIN ognl tone-out kogn-out ;=4575,25,100,0
GAIN ognr tone1-out kogn-out ;=4575,125,100,0
TAIL "italo deangelis05"
