HEADM adc 2 2 left-out right-out "PARAWAVE Demo" Empty 2 Demo-obj Info-obj ;=50,0,100,0
TEXTBLOCK Info 5 "Demo for the LFO supermodule PARAWAVE," "applied here to MICRODELAY mod inputs." "The parabolic waveform gives audio a" "synth-like triangle wave in pitch." "Dave Ricks, February 2005." ;=1050,525,100,0
MENUPAGE Demo "Look and Listen" Demo 8 "HEADING 1-obj" "lfo wave-obj" "lfo freq-obj" "lfo depth-obj" "HEADING 2-obj" "bipol hmon-obj" "unipol hmon-obj" axis-obj ;=1050,275,100,0
TEXTLINE "HEADING 1" "LFO PARAMETERS" ;=100,475,100,0
TEXTKNOB "lfo wave" " wave: %s" textknob 3 2 triangle sine parabolic ;=100,575,100,0
KNOB "lfo freq" " freq:%5.1f Hz" knob 0 1000 0.1 2 ;=100,675,100,0
KNOB "lfo depth" "depth:%5.1f ms" knob 0 100 0.1 3 ;=100,775,100,0
 ;"LFOs >>>"
CONSTANT 1 1 ;=250,350,100,0
LFO "triangle bi" adc-null "lfo freq-out" 0.1 1 0.5 1 ;=100,100,100,0
AMPMOD "triangle uni" 1-out "triangle bi-out" 0.5 0.5 ;=250,100,100,0
LFO "sine bi" adc-null "lfo freq-out" 0.1 0 0.5 1 ;=100,275,100,0
AMPMOD "sine uni" 1-out "sine bi-out" 0.5 0.5 ;=250,225,100,0
;Ss=GROUP 10 PARAWAVE lfo ;=275,675,100,0
CONSTANT zero 0 ;=0,0,100,0 f= 1,1,2,1
OSCILLATOR parawave zero-out "lfo freq-out" 0 1 0.5 ;=125,0,100,0 f= 1,1,2,1,4,1,5,1,6,1,7,1
DIFFERENTIATOR dx parawave-out ;=125,150,100,0 f= 1,1,2,1
COMPARATOR sign(dx) dx-out zero-out 0 ;=125,250,100,0 f= 1,1,2,1,3,1,4,1,5,1
MULTIPLY x^2 parawave-out parawave-out ;=250,0,100,0 f= 1,1,2,1,3,1
CONSTANT one 1 ;=250,100,100,0 f= 1,1,2,1
SUBTRACT "x^2 - 1" x^2-out one-out ;=375,0,100,0 f= 1,1,2,1,3,1
MULTIPLY spliced "x^2 - 1-out" sign(dx)-out ;=500,0,100,0 f= 1,1,2,1,3,1
BOUND bipolar spliced-out -1 1 ;=625,0,100,0 f= 1,1,3,1,4,1,5,1
AMPMOD unipolar one-out spliced-out 0.5 0.5 ;=500,100,100,0 f= 1,1,2,1,4,1,5,1,6,1
ISWITCH bipol 3 "lfo wave-out" "triangle bi-out" "sine bi-out" bipolar-out ;=550,200,100,0
ISWITCH unipol 3 "lfo wave-out" "triangle uni-out" "sine uni-out" unipolar-out ;=550,325,100,0
 ;"Audio >>>"
MICRODELAY left 100 adc-in1 unipol-out 0 "lfo depth-out" ;=825,0,100,0
MICRODELAY right 100 adc-in2 unipol-out 0 "lfo depth-out" ;=825,125,100,0
 ;"Monitors >>>"
TEXTLINE "HEADING 2" "LFO MONITORS" ;=875,475,100,0
A_TO_C "a2c bipol" bipol-out ;=750,575,100,0
HMONITOR "bipol hmon" "a2c bipol-out" -1 1 hmon:%f " bipol" ;=875,575,100,0
A_TO_C "a2c unipol" unipol-out ;=750,675,100,0
HMONITOR "unipol hmon" "a2c unipol-out" -1 1 hmon:%f unipol ;=875,675,100,0
TEXTLINE axis "      -1     0    +1" ;=875,775,100,0
TAIL "Dave Ricks, Feb 2005"
